Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkcSingleList.c File Reference

`#include "dkcSingleList.h"`
`#include "dkcStdio.h"`

Include dependency graph for dkcSingleList.c:

## Functions
DKC_SINGLELIST *WINAPI | dkcAllocSingleList (const void *data, size_t size)
| シングルリスト領域を得る。
int WINAPI | dkcFreeSingleList (DKC_SINGLELIST **ptr)
| dkcAllocNewSingleList()で確保したリスト領域と内部バッファを削除。dkcAllocNewSingleListと対。
void WINAPI | dkcSingleListChain (DKC_SINGLELIST *ptr, DKC_SINGLELIST *nextp)
int WINAPI | dkcSingleListInsert (DKC_SINGLELIST *ptr, const void *data, size_t size)
DKC_SINGLELIST *WINAPI | dkcSingleListErase (DKC_SINGLELIST *ptr)
int WINAPI | dkcGetSingleListBuffer (DKC_SINGLELIST *ptr, void *data, size_t size)
DKC_BUFFER *WINAPI | dkcAllocSingleListBuffer (const DKC_SINGLELIST *ptr)
DKC_SINGLELIST *WINAPI | dkcAllocSingleListDeserialize (DKC_DESERIALIZE *se)
| DKC_SERIALIZEから新しいSingleListを作る。.
void WINAPI | dkcSingleListSerialize (const DKC_SINGLELIST *ptr, DKC_SERIALIZE *se)
| DKC_SERIALIZEにシリアライズデータをぶち込む.
int WINAPI | dkcSingleListGetBuffer (DKC_SINGLELIST *ptr, void *data, size_t size)
int WINAPI | dkcSingleListSetBuffer (DKC_SINGLELIST *ptr, const void *data, size_t size)
size_t WINAPI | dkcSingleListSize (DKC_SINGLELIST *top)
DKC_SINGLELIST_OBJECT *WINAPI | dkcAllocSingleListObject (const void *data, size_t size)
int WINAPI | dkcFreeSingleListObject (DKC_SINGLELIST_OBJECT **p)
DKC_SINGLELIST_OBJECT *WINAPI | dkcAllocSingleListObjectDeserialize (DKC_DESERIALIZE *se)
void WINAPI | dkcSingleListObjectSerialize (const DKC_SINGLELIST_OBJECT *ptr, DKC_SERIALIZE *se)

## Detailed Description

d金魚 @

## Function Documentation

DKC_SINGLELIST* WINAPI dkcAllocSingleList | ( | const void * | data,
|  | size_t | size
| ) |

| シングルリスト領域を得る。

DKC_BUFFER* WINAPI dkcAllocSingleListBuffer | ( | const DKC_SINGLELIST * | ptr | ) |

| Returns: シングルリストの一つの要素が確保しているバッファの中のデータのコピーを返す。

DKC_SINGLELIST* WINAPI dkcAllocSingleListDeserialize | ( | DKC_DESERIALIZE * | se | ) |

| DKC_SERIALIZEから新しいSingleListを作る。.

DKC_SINGLELIST_OBJECT* WINAPI dkcAllocSingleListObject | ( | const void * | data,
|  | size_t | size
| ) |

DKC_SINGLELIST_OBJECT* WINAPI dkcAllocSingleListObjectDeserialize | ( | DKC_DESERIALIZE * | se | ) |

int WINAPI dkcFreeSingleList | ( | DKC_SINGLELIST ** | ptr | ) |

| dkcAllocNewSingleList()で確保したリスト領域と内部バッファを削除。dkcAllocNewSingleListと対。 DKC_SINGLELISTをデリート (リンクしてあるリストも削除します。 一つだけの要素を削除したい場合はdkcEraseSingleListを使ってください。） Note: 必ず使用したあとはこれを呼んでください。

int WINAPI dkcFreeSingleListObject | ( | DKC_SINGLELIST_OBJECT ** | p | ) |

int WINAPI dkcGetSingleListBuffer | ( | DKC_SINGLELIST * | ptr,
|  | void * | data,
|  | size_t | size
| ) |

void WINAPI dkcSingleListChain | ( | DKC_SINGLELIST * | ptr,
|  | DKC_SINGLELIST * | nextp
| ) |

DKC_SINGLELIST* WINAPI dkcSingleListErase | ( | DKC_SINGLELIST * | ptr | ) |

  | Parameters:
  ptr[in] | 削除したい要素へのポインタ
Returns: 削除した要素に次への要素を指しているポインタがあった場合、そのポインタを返す。 NULLの場合は、次への要素を指しているポインタは無かった。

int WINAPI dkcSingleListGetBuffer | ( | DKC_SINGLELIST * | ptr,
|  | void * | data,
|  | size_t | size
| ) |

| リスト構造体内に保存しているデータをもらう

int WINAPI dkcSingleListInsert | ( | DKC_SINGLELIST * | ptr,
|  | const void * | data,
|  | size_t | size
| ) |

| Note: ptrの次に新しいデータを挿入する。 新しいデータの次にptrの次へのデータが挿入される。 図： 1: ptr->next1->next2; 2: ptr->new data->next1->next2;

void WINAPI dkcSingleListObjectSerialize | ( | const DKC_SINGLELIST_OBJECT * | ptr,
|  | DKC_SERIALIZE * | se
| ) |

void WINAPI dkcSingleListSerialize | ( | const DKC_SINGLELIST * | ptr,
|  | DKC_SERIALIZE * | se
| ) |

| DKC_SERIALIZEにシリアライズデータをぶち込む.

int WINAPI dkcSingleListSetBuffer | ( | DKC_SINGLELIST * | ptr,
|  | const void * | data,
|  | size_t | size
| ) |

| シングルリストの一つの要素が持っているバッファにデータを書き込む（上書きする） 足りないバッファサイズはリサイズされる。

size_t WINAPI dkcSingleListSize | ( | DKC_SINGLELIST * | top | ) |

  | Parameters:
  top[in] | リストの先端
Returns: リストのようその数